package com.goomood.phm.service;


import com.goomood.common.core.domain.AjaxResult;


import com.goomood.phm.domain.AlsAtlasFileT;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;


/**
 * 文件管理Service接口
 */
public interface IAlsAtlasFileTService  {
    /**
     * 查询文件管理列表
     * 
     * @param alsAtlasFileT 文件管理
     * @return 文件管理集合
     */
    List<AlsAtlasFileT> selectAlsAtlasFileTList(AlsAtlasFileT alsAtlasFileT);
    
    /**
     * 新增文件管理
     * 
     * @param alsAtlasFileT 文件管理
     * @return 结果
     */
    int insertAlsAtlasFileT(AlsAtlasFileT alsAtlasFileT);
    
    /**
     * 修改文件管理
     * 
     * @param alsAtlasFileT 文件管理
     * @return 结果
     */
    int updateAlsAtlasFileT(AlsAtlasFileT alsAtlasFileT);
    
    /**
     * 批量删除文件管理
     * 
     * @param ids 需要删除的文件ID
     * @return 结果
     */
    int deleteAlsAtlasFileTByIds(String[] ids);
    
    /**
     * 删除文件管理信息
     * 
     * @param id 文件ID
     * @return 结果
     */
    int deleteAlsAtlasFileTById(String id);


    AlsAtlasFileT getById(String id);
}